Subject: password substitution

From: "Dave Hefford" <[email-masked]>
Date: Fri, 1 Aug 2003 16:47:31 +0100

Hello (lo-lo-lo) is there anybody there (there-there-there) ?

just because this stuff was talked about some years ago there's no need to
ignore my plaintive cries for help!

To re-iterate (All queries refer to section 6.1, 7)

a) is the "A 16 value created by padding the user id" from the 10 byte id or
the 8 byte folded id?

b) is it padded with trailing 0x40's

c) my password substitute doesn't match the example! Can we have some
intermediate values so I can see where I'm wrong. The CBC mode doesn't
specify the order of processing the data (fips 81 says "message to be
encrypted is divided into blocks") so I'm unclear as to the sequence of the
data.

Any or all the inetrmediate values (for the rfc eg or any data) would be a
real help.

I don't expect others to debug my code but here is the o/p I have if you
know which intermediate values are wrong

I know my ECB works because I tested it against FIPS 81 (amongst others)
fip81 C1 test eg
12 34 56 78 90 ab cd ef     IV
<Now is t>
4e 6f 77 20 69 73 20 74    data
5c 5b 21 58 f9 d8 ed 9b    xor
e5 c7 cd de 87 2b f2 7c     ecb'ed

just like the book!

2877 example
ID
44 55 4d 4d 59 55 53 52 (DUMMYUSR)
PW
44 55 4d 4d 59 50 57 40 (DUMMYPW )
Rnd Host
7d 3e 48 8f 18 08 04 04
My Rnd
4e 41 42 33 4e 41 42 33
Shift Res
22 00 30 30 18 0a 04 2a
PW_Token
c4 2c 11 ce a9 1c de d4
RDrSEQ+seq (ie 1)
7d 3e 48 8f 18 08 04 05
 Enc then xor my seed
92 ad f2 4b 96 e1 1d 1a
dc ec b0 78 d8 a0 5f 29
 Enc
78 43 4d ad f0 6a 52 d0
 RdrSeq
7d 3e 48 8f 18 08 04 05
id xor RDrSEQ 1st 8 (44 55 4d 4d 59 55 53 52 (DUMMYUSR))
39 6b 05 c2 41 5d 57 57
41 28 48 6f b1 37 05 87
 Enc
b9 85 b7 cd 89 f2 ee b5
id xor RDrSEQ 2nd 8 (40 40 40 40 40 40 40 40 (        ))
84 fb bf 02 d1 ba aa f0
 Enc
5e c9 0b d0 86 77 3a 43
Seq No = 01
5e c9 0b d0 86 77 3a 42

and the ans is...
bf ae 21 04 bf e7 6d c8

not like the book (should be DF B0 40 2F 22 AB A3 BA) so something's
wrong!!!

Any help will be v. much appreciated,

Dave